
class PlotContainer:

    def __init__(self, artist, ax):
        self.artist = artist
        self.ax = ax

    def __repr__(self):
        return repr(self.artist)


    def set(self, *args):
        self.artist.set_data(*args)


    def _draw(self):
        self.ax.draw_artist(self.artist)


    def _enable_animated(self):
        self.artist.set_animated(True)

    def _disable_animated(self):
        self.artist.set_animated(False)



